KDE 4.9 PyKDE API Reference

- KDE's Python API

# LiveConnectExtension Class Reference

`from PyKDE4.kparts import *`

Inherits: QObject
Namespace: KParts

## Detailed Description

An extension class for LiveConnect, i.e. a call from JavaScript from a HTML page which embeds this part. A part can have an object hierarchy by using objid as a reference to an object.

## Enumerations

Type | { TypeVoid, TypeBool, TypeFunction, TypeNumber, TypeObject, TypeString }

## Methods

| __init__ (self, KParts.ReadOnlyPart parent)
bool | call (self, long objid, QString func, QStringList args, KParts.LiveConnectExtension.Type type, long retobjid, QString value)
bool | get (self, long objid, QString field, KParts.LiveConnectExtension.Type type, long retobjid, QString value)
bool | put (self, long objid, QString field, QString value)
| unregister (self, long objid)

## Static Methods

KParts.LiveConnectExtension | childObject (QObject obj)

## Method Documentation

__init__ | ( | self, |
|  | KParts.ReadOnlyPart | parent
| ) |  |  |

bool call | ( | self, |
|  | long | objid,
|  | QString | func,
|  | QStringList | args,
|  | KParts.LiveConnectExtension.Type | type,
|  | long | retobjid,
|  | QString | value
| ) |  |  |

calls a function of objid, return true on success

bool get | ( | self, |
|  | long | objid,
|  | QString | field,
|  | KParts.LiveConnectExtension.Type | type,
|  | long | retobjid,
|  | QString | value
| ) |  |  |

get a field value from objid, return true on success

bool put | ( | self, |
|  | long | objid,
|  | QString | field,
|  | QString | value
| ) |  |  |

put a field value in objid, return true on success

unregister | ( | self, |
|  | long | objid
| ) |  |  |

notifies the part that there is no reference anymore to objid

## Static Method Documentation

KParts.LiveConnectExtension childObject | ( | QObject | obj
| ) |  |  |

## Enumeration Documentation

Type

Enumerator:

  TypeVoid = 0 |
  TypeBool |
  TypeFunction |
  TypeNumber |
  TypeObject |
  TypeString |